Topic: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Hi,

Here some errors generated with the above setup on Ubuntu Server 12.04LTS

Apache error.log

[Mon Sep 17 11:50:00 2012] [error] [client 10.102.105.94] File does not exist: /var/www/glpi/plugins/fusinvesx

GLPI plugins log's

2012-09-17 13:38
*** MySQL query error :
***
SQL: SELECT *
                FROM `glpi_plugin_fusioninventory_taskjoblogs` WHERE `plugin_fusioninventory_taskjobs_id`=\'13\'
               AND `state` != \'3\'
               AND `uniqid`=\'0\'
Error: Unknown column 'plugin_fusioninventory_taskjobs_id' in 'where clause'
Backtrace :
/var/www/glpi/inc/commondbtm.class.php :201                DBmysql->query()
/var/www/glpi/plugins/fusioninventory/inc/taskjoblog.class.php :816                CommonDBTM->find()
/var/www/glpi/plugins/fusioninventory/inc/taskjob.class.php :272           PluginFusioninventoryTaskjoblog->displayShortLogs()
/var/www/glpi/plugins/fusioninventory/ajax/task.tabs.php :93               PluginFusioninventoryTaskjob->showForm()
/var/www/glpi/plugins/fusioninventory/ajax/task.tabs.php


==> cron.log <==
2012-09-17 13:46
Internal #1: Launch graph
2012-09-17 14:02
Internal #1: Launch slaticket

agent-log.txt on Windows 7 64-bit PC

[Mon Sep 17 13:42:14 2012][error] [http client] communication error: 400 Bad Request
[Mon Sep 17 13:42:41 2012][info] task WakeOnLan is not enabled
[Mon Sep 17 13:42:41 2012][info] task NetDiscovery is not enabled
[Mon Sep 17 13:42:41 2012][error] [http client] communication error: 400 Bad Request
[Mon Sep 17 13:42:42 2012][info] task NetInventory is not enabled

The Win7 error is a bit strange since it pushes inventory to the GLPI server (software install not working though, firewall turned off on PC)

br,
Chris

2 (edited by jmgroud 2012-10-04 19:30:24)

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Hello
J'ai le même message d'erreur dans le fichier d'erreur d'apache : [Thu Oct 04 21:17:23 2012] [error] [client 192.168.0.254] File does not exist: R:/(root directory)/GLPI/plugins/fusinvesx
Quel est ce dossier 'fusinvesx' ? Il ne fait pas partie du pack des plugins proposés 'fusioninventory-for-glpi-metapackage_0.83+2.0-BETA1.tar.gz'.
Je suis sous Windows 7 professionnel 64 bits avec Wamserver (Apache 2.2.21 / PHP 5.3.9 / MySql 5.5.20).
J'utilise GLPI en version 0.83.4.

J'ai installé l'agent 2.2.6-1 sur un PC sous Windows 7 64 bits.

J'ai indiqué un port différent que celui proposé par défaut dans l'agent, par exemple : 10900.
J'ai redirigé ce port vers mon serveur internet par mon routeur, j'ai également paramétré ce port dans GLPI (plugin 'FusionInventory').

Que se passe-t-il ?
Merci pour votre aide
Jean-Marie

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Hi all!

I have the same configuration but different problem.

After upgarde from FI 0.83+1.0 to FI 0.83+2.0, I cannot have working Network Discovery.

When I force a network discovery, firts time I got this error (in FI for GLPI):
SNMP equipment definition isn't up to date on agent. For the next run, it will get new version from server.

Ok, it's correct!
So I force another Network Discovery from FI for GLPI, but now I got this error in fusioninventory-agent.log:
[error] Not an ARRAY reference at /usr/share/fusioninventory/lib/FusionInventory/Agent/Task/NetDiscovery/Dictionary.pm line 53.
and FI for GLPI remains in the state "Started".

This error occur with both linux and windows agents.

Anyone may help me?
Thanks a lot

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Perhaps a problem with the dictionnary generation. I will try it

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

5 (edited by xily 2012-10-09 09:30:34)

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Downloaded FI 0.83+2.0beta2.
Follow update instructions: disable plugins, remove old dirs, unzip new dirs, enable plugins.
Same problem as my previous post...

So I tried to uninstall SNMP plugins (only this one) and reinstalled: now it works!

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Yes, you need to reinstall fusinvsnmp plugin to reload models (in this case, beta to beta)

Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Thanks!

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

Any news about  this error?

[Fri Oct 25 14:48:57 2012] [error] [client x.x.x.x] File does not exist: /var/www/glpi/plugins/fusinvesx

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

makeijan, do you still get this error? What version of the server/agent do you use?

Please contact Fusioninventory Partners companies if you look for a FusionInventory on site expert.
→ http://www.fusioninventory.org/partners/

Re: FI 0.83+2.0, GLPI 0.83.4, Agent 2.2.6-1

goneri wrote:

makeijan, do you still get this error? What version of the server/agent do you use?

Please close this ticket.
Thanks